package com.autotech.we1l.items

import com.autotech.we1l.my_classes.BaseItem
import com.autotech.we1l.tools.*
import org.json.JSONObject

class SlideImage(id: Int, val imageUrl: String, val title1: String, val title2: String, val title3: String) : BaseItem(id) {

    constructor(slideImageJSON: JSONObject) : this(slideImageJSON.getInt(ATTR_ID),
            slideImageJSON.getString(ATTR_IMAGE_URL),
            slideImageJSON.getString(ATTR_TITLE_1),
            slideImageJSON.getString(ATTR_TITLE_2),
            slideImageJSON.getString(ATTR_TITLE_3))
}